Status: New Start date: 03 Jun 2013

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.00 hour

Description

Currently CoCoA-5 accepts syntactically the following input

A:-B;

which is interpreted as A:(-B); which is not what I wanted

Of course, I had meant to type A:=B; but erred.   I suggest that the only valid 2nd args for the colon operator be

a variable (possibly indexed)  e.g. I:J or I:J[2]

a bracketed expression e.g. I:(J1+J2)

a function call e.g. I:ideal(x,y)

Comments?  Ideas?

History

#1 - 12 Jun 2013 16:00 - Anna Maria Bigatti

- Category set to Incomplete function

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 09 Apr 2014 15:07 - John Abbott

- Category changed from Incomplete function to Parser/Interpreter

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?
